- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a Key.
HTTP request
PATCH https://mpc.googleapis.com/v1alpha1/{key.name=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
key.name |
Identifier. The unique resource name of the Key. This field is server-assigned and follows the format required by AIP-122: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key} It takes the form |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Key.
Response body
If successful, the response body contains an instance of Key.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.